Skip to Content
veriom

List evidence producers

GET
/v1/workspaces/{workspace_id}/evidence-producers

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Query Parameters

cursor?string|null
limit?Limit
Range1 <= value <= 100
Default50
producer_status?Producer Status
Default"all"
Value in"active""revoked""all"

Response Body

Successful Response

application/json
  1. response
has_more?Has More
Defaultfalse
items*array<>
next_cursor?string|null
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/evidence-producers'
Example Response
{  "has_more": false,  "items": [    {      "algorithm": "ed25519",      "capabilities": [        "string"      ],      "created_at": "2019-08-24T14:15:22Z",      "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "key_id": "string",      "last_used_at": "2019-08-24T14:15:22Z",      "name": "string",      "public_key_sha256": "string",      "revoked_at": "2019-08-24T14:15:22Z",      "revoked_by": "609d09bf-be33-45e0-963a-ff4cf608e85c",      "revoked_by_operator": "string",      "status": "active",      "updated_at": "2019-08-24T14:15:22Z",      "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"    }  ],  "next_cursor": "string"}